/*
 *   GtkAudioScale
 *    
 *   Copyright (C) Robert Ham 2002 (node@users.sourceforge.net)
 *    
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GTK_HAUDIO_SCALE__
#define __GTK_HAUDIO_SCALE__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <gtk/gtk.h>
#include <gtkaudioscale/audioscale.h>

#define GTK_TYPE_HAUDIO_SCALE          gtk_haudio_scale_get_type()
#define GTK_HAUDIO_SCALE(obj)          GTK_CHECK_CAST (obj, gtk_haudio_scale_get_type (), GtkHAudioScale)
#define GTK_HAUDIO_SCALE_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gtk_haudio_scale_get_type (), GtkHAudioScaleClass)
#define GTK_IS_HAUDIO_SCALE(obj)       GTK_CHECK_TYPE (obj, gtk_haudio_scale_get_type ())

typedef struct _GtkHAudioScale        GtkHAudioScale;
typedef struct _GtkHAudioScaleClass   GtkHAudioScaleClass;


struct _GtkHAudioScale
{
  GtkAudioScale audio_scale;
};

struct _GtkHAudioScaleClass
{
  GtkAudioScaleClass parent_class;
};

GType gtk_haudio_scale_get_type                         ();

GtkWidget * gtk_haudio_scale_new ();
GtkWidget * gtk_haudio_scale_new_with_adjustment (GtkAdjustment *, gboolean logarithmic);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_HAUDIO_SCALE__ */
